---

- name: Добавление DNS записи о втором контроллере на первый
  hosts: dc1

  tasks:
  - name: Проверка соответствия ОС
    ansible.builtin.fail:
      msg: Операционная система должна быть Альт
    when: ansible_os_family != "Altlinux"

  - name: Проверка наличия развёрнутого домена на хосте {{ ansible_hostname }}
    ansible.builtin.shell: "samba-tool domain info {{ ansible_default_ipv4.address }}"
    register: samba_tool_result
    ignore_errors: true
    
  - name: Если на хосте НЕ развёрнут домен, выполнение прерывается
    ansible.builtin.fail:
      msg: На хосте {{ ansible_hostname }} НЕ обнаружен развёрнутый домен. Прерываю выполнение
    when:
      - samba_tool_result.failed != false

  - name: Добавление DNS записи
    ansible.builtin.shell: |      
      samba-tool dns add {{ dc_details.dc1_ip }} {{ dc_details.realm }} \
        {{ hostnames.dc2_host }} A {{ dc_details.dc2_ip }} \
        -U{{ dc_details.admin }} --password={{ dc_details.adminpass }}
    register: dc_dns_record
  - ansible.builtin.debug:
      var: dc_dns_record.stdout_lines
